From 8c4df349dd2b6c214679d44712a5de99e8a04183 Mon Sep 17 00:00:00 2001
From: Yuan Fu <casouri@gmail.com>
Date: Wed, 3 Mar 2021 16:50:08 -0500
Subject: [PATCH] checkpoint

---
 test/lisp/simple-tests.el | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

diff --git a/test/lisp/simple-tests.el b/test/lisp/simple-tests.el
index a4816951ce..eb1c0e53e2 100644
--- a/test/lisp/simple-tests.el
+++ b/test/lisp/simple-tests.el
@@ -479,12 +479,21 @@ simple-tests--undo
                           forward-char
                           undo))
     (should (equal (buffer-string) "acde"))
-    (simple-tests--exec '(undo-only))
-    (should (equal (buffer-string) "cde"))
+    (simple-tests--exec '(move-beginning-of-line
+                          push-mark-command
+                          forward-char
+                          forward-char
+                          undo-only))
+    (should (equal (buffer-string) "abcde"))
     (simple-tests--exec '(undo-redo))
     (should (equal (buffer-string) "acde"))
     (simple-tests--exec '(undo-redo))
-    (should (equal (buffer-string) "abcde"))))
+    (should (equal (buffer-string) "abcde"))
+    (deactivate-mark)
+    (simple-tests--exec '(move-beginning-of-line
+                          push-mark-command
+                          forward-char
+                          undo-only))))
 
 (defun simple-tests--sans-leading-nil (lst)
   "Return LST sans the leading nils."
-- 
2.24.3 (Apple Git-128)

